Installer - Feature #35496

Add default pulp_deb config during installer runs
09/07/2022 11:22 AM - Quirin Pamp

Status: Closed
Priority: Normal
Assignee: Quirin Pamp
Category: Foreman modules
Target version:
Difficulty: Fixed in Releases: 3.5.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-pul
pcore/pull/263
Description

Users syncing from partial Ubuntu mirrors (a common scenario) currently get an error.

The solution is to add "FORCE_IGNORE_MISSING_PACKAGE_INDICES = True’ to ‘/etc/pulp/settings.py .

This should be done by default for all Katello installations with pulp_deb.

Associated revisions

Revision 5e2bfd7e - 10/28/2022 10:30 AM - Quirin Pamp
Fixes #35496 - Add default pulp_deb config

https://projects.theforeman.org/issues/35496

For Katello users this is the sane/expected default behaviour. It allows
for the synchronization of partial Ubuntu mirrors, a very common use
case in the wild. Users often stumble over the error that is thrown for
such mirrors without this setting.

History

#1 - 09/07/2022 12:54 PM - The Foreman Bot
- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/263 added

#2 - 10/28/2022 10:30 AM - The Foreman Bot
- Fixed in Releases 3.5.0 added

#3 - 10/28/2022 11:01 AM - Quirin Pamp

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-pulpcore|5e2bfd7e335c63998f4abb8d75647cd9837cc2d0.

#4 - 11/28/2022 12:23 PM - Ewoud Kohl van Wijngaarden

- Category set to Foreman modules

- Triaged changed from No to Yes
